<?xml version='1.0' encoding='UTF-8'?>
<ProfilesCatalog SchemaVersion="0.6.0">
  <AgentProfiles>
    <AgentProfile Name="FirstAgent" Type="Dynamic">
      <DriverProfiles>
        <DriverProfile Name="EgoDriver" Probability="1.0"/>
      </DriverProfiles>
      <SystemProfiles>
        <SystemProfile Name="AgentVehicle" Probability="1.0"/>
      </SystemProfiles>
      <VehicleModels>
        <VehicleModel Name="car_bmw_7_1" Probability="1.0"/>
      </VehicleModels>
    </AgentProfile>
    <AgentProfile Name="SecondAgent" Type="Dynamic">
      <DriverProfiles>
        <DriverProfile Name="Regular" Probability="1.0"/>
      </DriverProfiles>
      <SystemProfiles>
        <SystemProfile Name="AgentVehicle" Probability="1.0"/>
      </SystemProfiles>
      <VehicleModels>
        <VehicleModel Name="car_bmw_7_1" Probability="1.0"/>
      </VehicleModels>
    </AgentProfile>
  </AgentProfiles>
  <SystemProfiles>
    <SystemProfile Name="AgentVehicle">
      <Components>
        <Component Type="SenderCar2X">
          <Profiles>
            <Profile Name="SenderCar2X" Probability="1.0"/>
          </Profiles>
          <SensorLinks>
            <SensorLink SensorId="0" InputId="Camera"/>
          </SensorLinks>
        </Component>
      </Components>
      <Sensors>
        <Sensor Id="0" Position="FrontWindow">
          <Profile Type="ReceiverCar2X" Name="Standard"/>
        </Sensor>
      </Sensors>
    </SystemProfile>
  </SystemProfiles>
  <ProfileGroup Type="Driver">
    <Profile Name="EgoDriver">
      <String Key="Type" Value="AlgorithmAgentFollowingDriverModel"/>
      <String Key="AlgorithmLateralModule" Value="Algorithm_LateralAfdm"/>
      <String Key="AlgorithmLongitudinalModule" Value="Algorithm_LongitudinalAfdm"/>
      <Double Key="VelocityWish" Value="120.0"/>
    </Profile>
    <Profile Name="Regular">
      <String Key="Type" Value="AlgorithmAgentFollowingDriverModel"/>
      <String Key="AlgorithmLateralModule" Value="Algorithm_LateralAfdm"/>
      <String Key="AlgorithmLongitudinalModule" Value="Algorithm_LongitudinalAfdm"/>
      <Double Key="VelocityWish" Value="120.0"/>
    </Profile>
  </ProfileGroup>
  <ProfileGroup Type="SenderCar2X">
    <Profile Name="SenderCar2X">
      <Double Key="SignalStrength" Value="10.0"/>
      <Bool Key="SendPositionXEnabled" Value="true"/>
      <Bool Key="SendPositionYEnabled" Value="true"/>
      <Bool Key="SendVelocityEnabled" Value="false"/>
      <Bool Key="SendAccelerationEnabled" Value="true"/>
      <Bool Key="SendYawEnabled" Value="true"/>
    </Profile>
  </ProfileGroup>
  <ProfileGroup Type="ReceiverCar2X">
    <Profile Name="Standard">
      <NormalDistribution Key="Latency" Mean="0.0" SD="0.0" Min="0.0" Max="0.0"/>
      <Double Key="FailureProbability" Value="1"/>
      <Double Key="Sensitivity" Value="1e-5"/>
    </Profile>
  </ProfileGroup>
  <ProfileGroup Type="TrafficRules">
    <Profile Name="DE">
      <Double Key="OpenSpeedLimit" Value="INF"/>
      <Double Key="OpenSpeedLimitTrucks" Value="22.2222222"/>
      <Double Key="OpenSpeedLimitBuses" Value="27.7777777"/>
      <Bool Key="KeepToOuterLanes" Value="true"/>
      <Bool Key="DontOvertakeOnOuterLanes" Value="true"/>
      <Bool Key="FormRescueLane" Value="true"/>
      <Bool Key="ZipperMerge" Value="true"/>
    </Profile>
    <Profile Name="US">
      <Double Key="OpenSpeedLimit" Value="31.2928"/>
      <Double Key="OpenSpeedLimitTrucks" Value="26.8224"/>
      <Double Key="OpenSpeedLimitBuses" Value="26.8224"/>
      <Bool Key="KeepToOuterLanes" Value="false"/>
      <Bool Key="DontOvertakeOnOuterLanes" Value="false"/>
      <Bool Key="FormRescueLane" Value="true"/>
      <Bool Key="ZipperMerge" Value="false"/>
    </Profile>
    <Profile Name="CH">
      <Double Key="OpenSpeedLimit" Value="33.3333"/>
      <Double Key="OpenSpeedLimitTrucks" Value="25.0"/>
      <Double Key="OpenSpeedLimitBuses" Value="27.7777777"/>
      <Bool Key="KeepToOuterLanes" Value="false"/>
      <Bool Key="DontOvertakeOnOuterLanes" Value="true"/>
      <Bool Key="FormRescueLane" Value="false"/>
      <Bool Key="ZipperMerge" Value="true"/>
    </Profile>
  </ProfileGroup>
</ProfilesCatalog>
